#!/bin/sh

killall -q display

while [ 1 ] ; do
	. ./cosmostreamer.conf

	if [ "$osd_border_height" = "" ] ; then
		VB=""
	else
		VB="--vb $osd_border_height"
	fi

	if [ "$osd_border_width" = "" ] ; then
		HB=""
	else
		HB="--hb $osd_border_width"
	fi

	if [ "$video_hflip" = "1" ] ; then
		V_HF="--hf"
	else
		V_HF=""
	fi

	if [ "$video_vflip" = "1" ] ; then
		V_VF="--vf"
	else
		V_VF=""
	fi

	./bin/display -p 30000 $HB $VB $V_HF $V_VF
done
