#!/bin/sh
#while [ 1 ] ; do
	#nice -n -20 ./bin/usb-receiver
	#./bin/usb-receiver
	#sleep 1
#done

killall -q display

while [ 1 ] ; do
	. ./cosmostreamer.conf

	if [ "$osd_border_height" = "" ] ; then
		VB=""
	else
		VB="--vb $osd_border_height"
	fi

	if [ "$osd_border_width" = "" ] ; then
		HB=""
	else
		HB="--hb $osd_border_width"
	fi

	if [ "$video_hflip" = "1" ] ; then
		V_HF="--hf"
	else
		V_HF=""
	fi

	if [ "$video_vflip" = "1" ] ; then
		V_VF="--vf"
	else
		V_VF=""
	fi

	./bin/usb-receiver | ./bin/display $HB $VB $V_HF $V_VF

	sleep 1
done
