<html>
	<head>
		<title>Cosmostreamer Web {IP}</title>
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
		<meta name="viewport" content="initial-scale=1, user-scalable=no, maximum-scale=1.0">
		<!--<meta name="viewport" content="height=device-height, width=device-width, target-densitydpi=device-dpi, initial-scale=0.5, user-scalable=no, maximum-scale=1.0">-->
		<!--<meta name="HandheldFriendly" content="true"/>-->
	</head>

	<style>
		html,body {background-color:black; padding:0; margin:0; width:100%; height:100%; font-family:Arial; -webkit-user-select: none; -moz-user-select: -moz-none; -ms-user-select: none; user-select: none;}
		#video_canvas {width:100%; height:100%; background-image:url(imgs/bg.jpg); background-repeat:no-repeat; background-size:contain; background-position: 50% 50%;}
		#overlay {position:absolute; top:0px; left:0px; width:100%; height:100%; margin:0; padding:0; display:none;}
		#wlanstatus { position:absolute; right:20; top:30; color:white; font-size:0.6em; }
		#infostatusblock { position:absolute; left:20; top:30; color:white; font-size:0.6em; }
		#logwindow { position:absolute; right:20; bottom:140;color:white; margin-top:30px; margin-left:20px;}
		#mainmessage {position:absolute; top:50%; left:0px; width:100%; height:50%; margin:0; padding:0; text-align:center; color:white;}
		#badlicensemessage {position:absolute; top:50%; left:0px; width:100%; height:50%; margin:0; padding:0; text-align:center; color:red; font-size:3em; display:none;}
		#hellomessage {position:absolute; top:40%; left:0px; width:100%; height:60%; margin:0; padding:0; text-align:center; color:yellow; font-size:2em; display:none;}

		#stateblock {position:absolute; top:60%; left:0px; width:100%; height:auto; margin:0; padding:0; text-align:center; color:white; text-color:2em;}
		#block_videoinfo, #block_photoinfo {display:none;}
		#left_panel {position:absolute; top:40px; bottom:40px; left:0px; padding:10; z-index:100; display:none;}
		#right_panel {position:absolute; height:auto; top:20px; bottom:20px; right:0px; padding:0px; color:white; text-align:right; z-index:500; display:none; background-color:black; opacity:1; overflow-y:hidden;}
		#right_panel a {color:white;}
		#right_panel p {margin-top:0; margin-bottom:10px;}
		#central_panel {position:absolute; height:100%; top:0px; bottom:0pm; left:0px; padding:0px; color:white; text-align:left; z-index:100; display:none; background-color:black; opacity:1; overflow-y:hidden;}
		#shottype_panel {position:absolute; bottom:100px; left:100px; padding:10; color:white; text-align:left; z-index:100; display:none; overflow:auto;}

		#camera_sleeps_message_block { position:absolute; top:40px; left:40%; padding:8px; background-color:red; color:white; display:none; }

		.shot_type_group_div { padding:5px; color:white; background-color:black; border-radius:6px; margin-bottom:5px; cursor:pointer; }
		.shot_type_element { padding:5px; color:white; background-color:black; border-radius:6px; margin-bottom:5px; cursor:pointer; }
		.shot_type_groups { display:none; }

		#config_window {position:absolute; top:0px; left:0px; right:0px; padding:0; color:white; text-align:left; height:0px; z-index:300; display:none; opacity:1; overflow:auto;}

		.rc_table { color:white;}
		.rc_table .ch_select { width:110px; padding:3px; }

		.whitetext {color:white; margin-right:5px; }
		.graytext {color:gray; margin-left:5px; }
		.lightgraytext {color:lightgray; margin-left:5px; }
		.yellowtext {color:yellow; margin-left:5px; margin-right:5px;}
		.redtext {color:red; margin-right:5px; }

		.imagebutton {background-color:transparent; border:none;}

		.bl { padding:5px 5px 5px 10px; color:lightgray; }
		.bl:hover { background-color:#334455; }
		.active { background-color:#334455; }
		.hidden {display:none;}
		.settingscontent {color:white; padding:15px;}

		#shot_image {display:block; width:100%; height:100%; max-width:40px; max-height:40px; background-image:url(imgs/photo_shoot.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#shot_stop_image {display:none; width:100%; height:100%; max-width:40px; max-height:40px; background-image:url(imgs/photo_stop.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#shot_busy_image {display:none; width:100%; height:100%; max-width:40px; max-height:40px; background-image:url(imgs/shot_busy.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#record_start_image { display:block; width:100%; height:100%; max-width:40px; max-height:40px; background-image:url(imgs/video_record_start.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#record_stop_image { display:block; width:100%; height:100%; max-width:40px; max-height:40px; background-image:url(imgs/video_record_stop.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#image_settings { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/image_settings.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#cam_settings  { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/settings.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#camera_mode_photo { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/mode_photo.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#camera_mode_video { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/mode_video.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#zoom_in { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/zoom_in.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#zoom_out { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/zoom_out.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#opt_zoom_in { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/zoom_in.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}
		#opt_zoom_out { display:block; width:100%; height:100%; max-width:20px; max-height:20px; background-image:url(imgs/zoom_out.png); background-repeat: no-repeat; background-size:100% 100%; cursor:pointer;}

		::-webkit-scrollbar {
	    	width: 0px;  /* remove scrollbar space */
		    background: transparent;  /* optional: just make scrollbar invisible */
		}
		/* optional: show position indicator in red */
		::-webkit-scrollbar-thumb {
		    background: #FF0000;
		}
	</style>

	<body>
		<canvas id="video_canvas"></canvas>

		<input id="box_config" type="image" src="imgs/config.png" width=40 title="Config" style="position:absolute;right:10px;bottom:40px;z-index:500;display:block;"/>
		<input id="close_box_config" type="image" src="imgs/close.png" width=40 title="Close" style="position:absolute;right:10px;bottom:10px;z-index:500;display:none;"/>

		<div id="wlanstatus"></div>

		<div id="infostatusblock">
			<div id="infostatus" style="display:inline;"></div>
			<div id="onboardrecstatus" style="color:red; display:inline; margin-left:20px;"></div>
			<div class="rc_state" style="color:yellow;"></div>
			<div id="protocolsstatus"></div>
		</div>

		<!--<div id="logwindow"></div>-->

		<div id="overlay" class="scalable-text">
			<div style="padding:5; font-size:0.8em;">
				<div id="value_recstate" style="position:absolute; top:60; right:50; color:red; font-size:2.4em;"></div>

				<div style="position:absolute; top:0; left:0; right:0; padding:4; background-color:black; opacity:1;">&nbsp;</div>
				<div style="position:absolute; top:0; left:0; padding:4;">
					<span id="value_resolution" class="whitetext"></span>
					<span class="graytext">FPS</span>
					<span id="value_fps" class="whitetext"></span>
					<span class="graytext">ISO</span>
					<span id="value_iso" class="whitetext"></span>
					<span id="value_shutter" class="whitetext"></span>
					<span class="graytext">F/</span>
					<span id="value_aperture" class="whitetext"></span>
					<span class="graytext">EV</span>
					<span id="value_ev" class="whitetext"></span>
					<span id="value_ae" class="graytext">AE</span>
					<span class="graytext">WB</span>
					<span id="value_wb" class="whitetext"></span>
					<span id="value_wbmode" class="graytext"></span>
					<span id="value_orientationlocked" class="graytext">locked</span>
				</div>
				<div style="position:absolute; top:0; right:0; padding:5;">
					<span id="value_color" class="graytext"></span>
					<span id="value_vmode" class="yellowtext"></span>
					<span id="value_cameramode" class="whitetext"></span>
				</div>

				<div style="position:absolute; bottom:0; left:0; right:0; padding:4; background-color:black; opacity:1;">&nbsp;</div>
				<div style="position:absolute; bottom:0; right:0; padding:4;">
					<span id="focus_type2" style="color:yellow;"></span>
					<span id="focus_distance" style="color:white;"></span>
					<span id="focus_percentage2" style="color:white;"></span>

					<span id="block_videoinfo">
						<span id="value_rectime" class="whitetext"></span>
					</span>
					<span id="block_photoinfo">
						<span id="value_phototype" class="graytext" style="margin-right:10px;"></span>
						<span id="value_photomode" class="whitetext" style="margin-right:10px;"></span>
						<span id="value_photoleft" class="whitetext"></span>
					</span>

					<span style="margin-left:10px;"></span>

					<span id="nosd_message" class="redtext">NO SD</span>

					<span id="title_sdfree" class="graytext">SD</span>
					<span id="value_sdfree" class="whitetext"></span>

					<span id="title_ssdfree" class="graytext">SSD</span>
					<span id="value_ssdfree" class="whitetext"></span>

					<span style="margin-left:10px;"></span>

					<span class="graytext">pan</span>
					<span id="value_pan" class="whitetext"></span>

					<span class="graytext">tilt</span>
					<span id="value_tilt" class="whitetext"></span>

					<span class="graytext">dutch</span>
					<span id="value_roll" class="whitetext"></span>

					<span style="margin-left:10px;"></span>

					<span id="value_battery" class="whitetext">00.00V 0%</span>
				</div>
			</div>
		</div>

		<div id="focus_block" style="display:none; position:absolute; bottom:30px; left:30%; padding:6px; background-color:black; color:gray; opacity:1;" class="scalable-text">
			&nbsp;&nbsp;
			<span id="set_focus_mf" class="scalable-text">MF</span>
			&nbsp;&nbsp;
			<span id="set_focus_af" class="scalable-text">AF</span>
			&nbsp;&nbsp;
			<span id="set_focus_af_unlim" class="scalable-text">AF inf</span>
			&nbsp;&nbsp;
			<span style="color:white;" class="scalable-text">ring</span>
			&nbsp;
			<span id="focus_ring_type" style="color:yellow;" class="scalable-text"></span>
			&nbsp;&nbsp;
		</div>


		<div id="left_panel" class="scalable-text">
			<table height="100%">
				<tr valign="middle">
					<td align="center">
						<div style="padding:5px; background-color:black; border-radius:6px;">
							<button id="opt_zoom_in" class="imagebutton" title="Optical zoom in" style="margin-right:10px; display:inline; cursor:pointer;" />
							<button id="opt_zoom_out" class="imagebutton" title="Optical zoom out" style="display:inline; cursor:pointer;"/>
						</div>
					</td>
				</tr>
				<tr valign="middle">
					<td align="center">
						<div style="padding:5px; background-color:black; border-radius:6px;">
							<button id="zoom_in" class="imagebutton" title="Digital zoom in" style="margin-right:10px; display:inline; cursor:pointer;"/>
							<button id="zoom_out" class="imagebutton" title="Digital zoom out" style="display:inline; cursor:pointer;"/>
						</div>
					</td>
				</tr>
				<tr valign="middle">
					<td align="center">
						<div style="padding:5px; background-color:black; border-radius:6px;">
							<button id="camera_mode_photo" class="imagebutton" title="Switch to photo mode" style="margin-right:10px; display:inline; cursor:pointer;"/>
							<button id="camera_mode_video" class="imagebutton" title="Switch to video mode" style="display:inline; cursor:pointer;"/>
						</div>
					</td>
				</tr>
				<tr valign="middle">
					<td align="center">
						<div id="rec_buttons" style="width:100%; height:100%; display:none;">
							<button id="record_start_image" class="imagebutton" title="Start recording"/>
							<button id="record_stop_image" class="imagebutton" title="Stop recording"/>
						</div>
						<div id="shot_buttons" style="width:100%; height:100%;">
							<button id="shot_image" class="imagebutton" title="Take a shot"/>
							<button id="shot_busy_image" class="imagebutton" title="Busy"/>
							<button id="shot_stop_image" class="imagebutton" title="Stop shoting"/>
						</div>
					</td>
				</tr>
				<tr valign="middle" id="shot_settings_block">
					<td align="center">
						<div style="padding:5px; background-color:black; border-radius:6px; cursor:pointer;">
							<span id="shot_settings" title="Shot type" style="color:white;"></span>
						</div>
					</td>
				</tr>
				<tr valign="middle">
					<td align="center">
						<div style="padding:5px; background-color:black; border-radius:6px;"><button id="image_settings" class="imagebutton" title="Image settings"/></div>
					</td>
				</tr>
				<tr valign="middle">
					<td align="center">
						<div style="padding:5px; background-color:black; border-radius:6px;"><button id="cam_settings" class="imagebutton" title="Camera settings"/></div>
					</td>
				</tr>
			</table>
		</div>

		<div id="shottype_panel" class="scalable-text">
			<table>
				<tr valign="top">
					<td>
						<div item="single" class="shot_type_group_div">Single</div>
						<div item="multiple" class="shot_type_group_div">Multiple</div>
						<div item="interval" class="shot_type_group_div">Interval</div>
						<div item="pano" class="shot_type_group_div">Pano</div>
						<div item="timelapse" class="shot_type_group_div">Timelapse</div>
					</td>
					<td width="20"></td>					
					<td>
						<div id="shot_type_group_single_div" class="shot_type_groups">
							<div group="single" item="shot" class="shot_type_element">Shot</div>
							<div group="single" item="10s" class="shot_type_element">10s</div>
							<div group="single" item="hdr" class="shot_type_element">HDR</div>
						</div>
						<div id="shot_type_group_multiple_div" class="shot_type_groups">
							<div group="multiple" item="3shots" class="shot_type_element">3 shots</div>
							<div group="multiple" item="5shots" class="shot_type_element">5 shots</div>
							<div group="multiple" item="7shots" class="shot_type_element">7 shots</div>
							<div group="multiple" item="aeb3" class="shot_type_element">3 AEB</div>
							<div group="multiple" item="aeb5" class="shot_type_element">5 AEB</div>
						</div>
						<div id="shot_type_group_interval_div" class="shot_type_groups">
							<div group="interval" item="10s" class="shot_type_element">10 s</div>
							<div group="interval" item="30s" class="shot_type_element">30 s</div>
						</div>
						<div id="shot_type_group_pano_div" class="shot_type_groups">
							<div group="pano" item="180" class="shot_type_element">180</div>
							<div group="pano" item="360" class="shot_type_element">360</div>
							<div group="pano" item="180self" class="shot_type_element">180 selfie</div>
							<div group="pano" item="manual" class="shot_type_element">Manual</div>
							<div group="pano" item="grid" class="shot_type_element">Grid</div>
						</div>
						<div id="shot_type_group_timelapse_div" class="shot_type_groups">
							<div class="shot_type_group_div">
								Interval<br>
								<select id="param_timelapse_interval" name="param_timelapse_interval" class="scalable-text" style="width:100%;">
									<option>1s</option>
									<option>2s</option>
									<option>3s</option>
									<option>4s</option>
									<option>5s</option>
									<option>6s</option>
									<option>7s</option>
									<option>8s</option>
									<option>9s</option>
									<option>10s</option>
									<option>20s</option>
									<option>30s</option>
									<option>45s</option>
									<option>60s</option>
								</select>
							</div>
							<div class="shot_type_group_div">
								Duration<br>
								<select id="param_timelapse_duration" name="param_timelapse_duration" class="scalable-text" style="width:100%;">
									<option>unlim</option>
									<option>1min</option>
									<option>2min</option>
									<option>3min</option>
									<option>4min</option>
									<option>5min</option>
									<option>6min</option>
									<option>7min</option>
									<option>8min</option>
									<option>9min</option>
									<option>10min</option>
									<option>20min</option>
									<option>30min</option>
									<option>40min</option>
									<option>50min</option>
									<option>1hr</option>
									<option>2hr</option>
								</select>
								<br>
								<input type="button" value="Set" id="timelapse_set" style="margin:10px;">
							</div>
						</div>
					</td>
				</tr>
			</table>
		</div>

		<div id="right_panel">
		<div style="overflow-y:auto;height:100%;padding:20px;box-sizing:content-box;">

			<p>Position</p>
			<p>
				<span id="position_normal" style="font-size:0.8em;padding:5px;background-color:black;border:2px solid white;">Normal</span>
				<span id="position_selfie" style="font-size:0.8em;padding:5px;background-color:black;border:2px solid white;">Selfie</span>
			</p>

			<p style="margin-top:20px;">Orientation</p>
			<p>
				<span id="param_orientation_lock" style="font-size:0.8em;padding:5px;background-color:black;border:2px solid white;">Lock</span>
				<span id="param_orientation_unlock" style="font-size:0.8em;padding:5px;background-color:black;border:2px solid white;">Unlock</span>
			</p>

			<p style="margin-top:20px;">Pitch</p>
			<p>
				<span id="param_pitch_lock" style="font-size:0.8em;padding:5px;background-color:black;border:2px solid white;">Lock</span>
				<span id="param_pitch_unlock" style="font-size:0.8em;padding:5px;background-color:black;border:2px solid white;">Unlock</span>
			</p>

			<p>&nbsp;</p>

			<p>Color<br>
			<select id="param_color" name="param_color" style="padding:3px;width:110px;">
				<option>d-log</option>
				<option>d-cinelike</option>
				<option>none</option>
				<option>art</option>
				<option>black white</option>
				<option>vivid</option>
				<option>beach</option>
				<option>dream</option>
				<option>classic</option>
				<option>nostalgia</option>
				<option>portrait</option>
				<option>d-clike</option>
			</select></p>

			<p>Scene<br>
			<select id="param_scene" name="param_scene" style="padding:3px;width:110px;">
				<option>standard</option>
				<option>scenery</option>
				<option>soft</option>
				<option>custom</option>
			</select></p>

			<p>White balance<br>
			<select id="param_wb" name="param_wb" style="padding:3px;width:110px;">
				<option>auto</option>
				<option>sunny</option>
				<option>cloudy</option>
				<option>incandescent</option>
				<option>neon</option>
				<option>custom</option>
			</select>
			</p>

			<p>Image mode<br>
			<select id="param_videomode" name="param_videomode" style="padding:3px;width:110px;">
				<option>auto</option>
				<option>shutter</option>
				<option>aperture</option>
				<option>manual</option>
			</select>
			</p>

			<p>Shutter<br>
			<select id="param_shutterspeed" name="param_shutterspeed" style="padding:3px;width:110px;">
				<option>30s</option>
				<option>25s</option>
				<option>20s</option>
				<option>15s</option>
				<option>10s</option>
				<option>9s</option>
				<option>8s</option>
				<option>7s</option>
				<option>6s</option>
				<option>5s</option>
				<option>4s</option>
				<option>3.2s</option>
				<option>3s</option>
				<option>2.5s</option>
				<option>2s</option>
				<option>1.6s</option>
				<option>1.3s</option>
				<option>1s</option>
				<option>1.25</option>
				<option>1.67</option>
				<option>2</option>
				<option>2.5</option>
				<option>3</option>
				<option>4</option>
				<option>5</option>
				<option>6.25</option>
				<option>8</option>
				<option>10</option>
				<option>12.5</option>
				<option>15</option>
				<option>20</option>
				<option>25</option>
				<option>30</option>
				<option>40</option>
				<option>50</option>
				<option>60</option>
				<option>80</option>
				<option>100</option>
				<option>120</option>
				<option>160</option>
				<option>200</option>
				<option>240</option>
				<option>320</option>
				<option>400</option>
				<option>500</option>
				<option>640</option>
				<option>800</option>
				<option>1000</option>
				<option>1250</option>
				<option>1600</option>
				<option>2000</option>
				<option>2500</option>
				<option>3200</option>
				<option>4000</option>
				<option>5000</option>
				<option>6400</option>
				<option>8000</option>
			</select>

			<p>Aperture<br>
			<select id="param_aperture" name="param_aperture" style="padding:3px;width:110px;">
				<option>1.7</option>
				<option>1.8</option>
				<option>2</option>
				<option>2.2</option>
				<option>2.5</option>
				<option>2.8</option>
				<option>3.2</option>
				<option>3.5</option>
				<option>4</option>
				<option>4.5</option>
				<option>5</option>
				<option>5.6</option>
				<option>6.3</option>
				<option>7.1</option>
				<option>8</option>
				<option>9</option>
				<option>10</option>
				<option>11</option>
				<option>13</option>
				<option>14</option>
				<option>16</option>
			</select>
			</p>

			<p>ISO<br>
			<select id="param_iso" name="param_iso" style="padding:3px;width:110px;">
				<option>100</option>
				<option>200</option>
				<option>400</option>
				<option>800</option>
				<option>1600</option>
				<option>3200</option>
				<option>6400</option>
			</select>
			</p>

			<p>EV<br>
			<select id="param_ev" name="param_ev" style="padding:3px;width:110px;">
				<option>+3.0</option>
				<option>+2.7</option>
				<option>+2.3</option>
				<option>+2.0</option>
				<option>+1.7</option>
				<option>+1.3</option>
				<option>+1.0</option>
				<option>+0.7</option>
				<option>+0.3</option>
				<option selected>0</option>
				<option>-0.3</option>
				<option>-0.7</option>
				<option>-1.0</option>
				<option>-1.3</option>
				<option>-1.7</option>
				<option>-2.0</option>
				<option>-2.3</option>
				<option>-2.7</option>
				<option>-3.0</option>
			</select>
			</p>

			<p>&nbsp;</p>
		</div>
		</div>

		<div id="central_panel">
		<div style="overflow-y:auto;height:100%;padding:20px;box-sizing:content-box;">
			<p><span style="min-width:120px;display:inline-block;">Image aspect</span>
			<select id="param_imageaspect" name="param_imageaspect" style="padding:3px;width:100px;">
				<option>4:3</option>
				<option>16:9</option>
			</select>
			</p>

			<p><span style="min-width:120px;display:inline-block;">Video standard</span>
			<select id="param_videostandard" name="param_videostandard" style="padding:3px;width:100px;">
				<option>PAL</option>
				<option>NTSC</option>
			</select>
			</p>

			<p><span style="min-width:120px;display:inline-block;">Anti-flicker</span>
			<select id="param_antiflicker" name="param_antiflicker" style="padding:3px;width:100px;">
				<option>auto</option>
				<option>50Hz</option>
				<option>60Hz</option>
			</select>
			</p>

			<p><span style="min-width:120px;display:inline-block;">Shot mode</span>
			<select id="param_shotmode" name="param_shotmode" style="padding:3px;width:100px;">
				<option>RAW</option>
				<option>JPG</option>
				<option>JPG+RAW</option>
			</select>
			</p>

			<p><input type="checkbox" id="histogram_enabled"><label for="histogram_enabled">Histogram</label></p>

			<p id="realtime_af_block"><input type="checkbox" id="realtime_af"><label for="realtime_af">Real-time AF</label></p>
			<p id="zoom_adjusted_smothtrack_block"><input type="checkbox" id="zoom_adjusted_smothtrack"><label for="zoom_adjusted_smothtrack">Zoom Adjusted Smoothtrack</label></p>

			<p id="afa_block"><input type="checkbox" id="afa_enabled"><label for="afa_enabled">Auto focus assistant</label></p>
			<p id="mfa_block"><input type="checkbox" id="mfa_enabled"><label for="mfa_enabled">Manual focus assistant</label></p>
			<p id="cfa_block"><input type="checkbox" id="custom_fa_enabled"><label for="custom_fa_enabled">Custom focus assistant</label></p>


			<p>Video resolution</p>
			<p><select id="param_videores" name="param_videores" style="padding:3px;">
					<option>4096x2160@25</option>
					<option>4096x2160@24</option>
					<option>3840x2160@60</option>
					<option>3840x2160@30</option>
					<option>3840x2160@25</option>
					<option>3840x2160@24</option>
					<option>2704x1520@30</option>
					<option>2704x1520@25</option>
					<option>2704x1520@24</option>
					<option>1920x1080@120</option>
					<option>1920x1080@60</option>
					<option>1920x1080@50</option>
					<option>1920x1080@48</option>
					<option>1920x1080@30</option>
					<option>1920x1080@25</option>
					<option>1920x1080@24</option>
					<option>1280x720@60</option>
					<option>1280x720@50</option>
					<option>1280x720@48</option>
					<option>1280x720@30</option>
					<option>1280x720@25</option>
					<option>1280x720@24</option>
				</select>
			</p>

			<p id="wifi_block_title">Osmo Wi-Fi mode</p>
			<p id="wifi_block">
				<span id="wifi_mode_24" style="padding:5px;background-color:black;border:2px solid white;">2.4GHz</span>
				<span id="wifi_mode_58" style="padding:5px;background-color:black;border:2px solid white;">5.8GHz</span>
			</p>

			<p>&nbsp;</p>

			<p id="power_block_title">Power management</p>
			<p id="power_block">
				<span id="camera_sleep_button" style="padding:5px;background-color:black;border:2px solid white;">Sleep</span>
				<span id="camera_wakeup_button" style="padding:5px;background-color:black;border:2px solid white;">Wake-up</span>
			</p>
			<p id="power_block2">
				<span id="camera_restart_button" style="padding:5px;background-color:black;border:2px solid white;">Restart</span>
				<span id="camera_shutdown_button" style="padding:5px;background-color:black;border:2px solid white;">Shutdown</span>
			</p>

			<p>&nbsp;</p>

			<p><span id="microsd_format" style="padding:5px;background-color:black;border:2px solid white;">Format microSD</span></p>
			<p><span id="ssd_format" style="padding:5px;background-color:black;border:2px solid white;">Format SSD</span></p>

			<p>&nbsp;</p>

			<p><span id="camera_reset" style="padding:5px;background-color:black;border:2px solid white;">Reset camera</span></p>

			<p>&nbsp;</p>

			<p id="horizont_block_title">Horizont correction</p>
			<p id="horizont_block">
				<span id="horizont_clockwise" style="padding:5px;background-color:black;border:2px solid white;">CW</span>
				<span id="horizont_zero" style="padding:5px;background-color:black;border:2px solid white;">Zero</span>
				<span id="horizont_contrclockwise" style="padding:5px;background-color:black;border:2px solid white;">CCW</span>
			</p>

			<div id="horizont_calibrate" style="padding:5px;background-color:black;border:2px solid white;">Calibrate gimbal</div>

			<p>&nbsp;</p>

			<div id="cam_enable" style="padding:5px;background-color:black;border:2px solid white;">Disable Osmo connection</div>

			<p>&nbsp;</p>
		</div>
		</div>

		<div id="stateblock" class="scalable-text">
			<div id="telemetrystate"></div>
			<div id="videostate"></div>
		</div>

		<div id="camera_sleeps_message_block" class="scalable-text">
			<span>Camera in sleep mode</span>
			<span id="wakeup_button" style="border:2px solid white; padding:4px;">Wake-up</span>
			<span id="shutdown_button" style="border:2px solid white; padding:4px;">Shutdown</span>
		</div>

		<div id="mainmessage" class="scalable-text"></div>
		<div id="badlicensemessage" class="scalable-text">BAD LICENCE KEY</div>
		<div id="hellomessage" class="scalable-text">double tap for fullsreen toggle</div>

		<div id="config_window" class="scalable-text">{config_window}</div>

		<script type="text/javascript" src="js/jquery.min.js"></script>
		<script type="text/javascript" src="js/jquery.vibrate.min.js"></script>
		<script type="text/javascript" src="js/http-live-player.js"></script>
		<script type="text/javascript" src="js/player.js"></script>
		<script type="text/javascript" src="js/binary.js"></script>
		<script type="text/javascript" src="js/common.js"></script>
		<script type="text/javascript" src="js/elements.js"></script>
		<script type="text/javascript" src="js/ws.js"></script>
		<script type="text/javascript" src="js/parser.js"></script>
		<script type="text/javascript" src="js/settings.js"></script>

  </body>
</html>