$(document).ready(function() {

	$('#shot_image').on("click", function() {
		send_command('shot', '', '', '');
		Vibrate(100);
	});

	$('#shot_stop_image').on("click", function() {
		send_command('stopshot', '', '', '');
		Vibrate(100);
	});

	$('#record_start_image').on("click", function() {
		send_command('record', 'start', '', '');
		Vibrate(100);
	});

	$('#record_stop_image').on("click", function() {
		send_command('record', 'stop', '', '');
		Vibrate(50);
	});

	$('#camera_mode_video').on("click", function() {
		send_command('camera', "mode", "video", "");
		Vibrate(100);
	});

	$('#camera_mode_photo').on("click", function() {
		send_command('camera', "mode", "photo", "");
		Vibrate(100);
	});

	
	$('#zoom_in').on('mousedown', function(event) { event.preventDefault(); send_command('zoom', "-2", "1", ""); });
	$('#zoom_in').on('mouseup', function(event) { event.preventDefault(); send_command('zoom', "-2", "0", ""); });
	$('#zoom_out').on('mousedown', function(event) { event.preventDefault(); send_command('zoom', "-2", "-1", ""); });
	$('#zoom_out').on('mouseup', function(event) { event.preventDefault(); send_command('zoom', "-2", "0", ""); });
	$('#opt_zoom_in').on('mousedown', function(event) { event.preventDefault(); send_command('zoom', "-3", "1", ""); });
	$('#opt_zoom_in').on('mouseup', function(event) { event.preventDefault(); send_command('zoom', "-3", "0", ""); });
	$('#opt_zoom_out').on('mousedown', function(event) {	event.preventDefault(); send_command('zoom', "-3", "-1", ""); });
	$('#opt_zoom_out').on('mouseup', function(event) { event.preventDefault(); send_command('zoom', "-3", "0", ""); });

	$('#zoom_in').on('touchstart', function(event) { event.preventDefault(); Vibrate(100); send_command('zoom', "-2", "1", ""); });
	$('#zoom_in').on('touchend', function(event) { event.preventDefault(); Vibrate(50); send_command('zoom', "-2", "0", ""); });
	$('#zoom_out').on('touchstart', function(event) { event.preventDefault(); Vibrate(100); send_command('zoom', "-2", "-1", ""); });
	$('#zoom_out').on('touchend', function(event) { event.preventDefault(); Vibrate(50); send_command('zoom', "-2", "0", ""); });
	$('#opt_zoom_in').on('touchstart', function(event) { event.preventDefault(); Vibrate(100); send_command('zoom', "-3", "1", ""); });
	$('#opt_zoom_in').on('touchend', function(event) { event.preventDefault(); Vibrate(50); send_command('zoom', "-3", "0", ""); });
	$('#opt_zoom_out').on('touchstart', function(event) {	event.preventDefault(); Vibrate(100); send_command('zoom', "-3", "-1", ""); });
	$('#opt_zoom_out').on('touchend', function(event) { event.preventDefault(); Vibrate(50); send_command('zoom', "-3", "0", ""); });

	
	$('#image_settings').on("click", function() {
		Vibrate(50);
		var state = $("#right_panel").css("display");
		$("#right_panel").css("display", state == "none" ? "block" : "none" );
	});

	$('#cam_settings').on("click", function() {
		Vibrate(50);
		var state = $("#central_panel").css("display");
		$("#central_panel").css("display", state == "none" ? "block" : "none" );
	});


	$('#param_color').on('change', function() {
		send_command('color', $(this).val(), "", "");
	});
	$('#param_scene').on('change', function() {
		send_command('scene', $(this).val(), "", "");
	});
	$('#param_wb').on('change', function() {
		send_command('wb', $(this).val(), "", "");
	});
	$('#param_videomode').on('change', function() {
		send_command('video_mode', $(this).val(), "", "");
	});
	$('#param_shutterspeed').on('change', function() {
		send_command('shutter', $(this).val(), "", "");
	});
	$('#param_aperture').on('change', function() {
		send_command('aperture', $(this).val(), "", "");
	});
	$('#param_iso').on('change', function() {
		send_command('iso', $(this).val(), "", "");
	});
	$('#param_ev').on('change', function() {
		send_command('ev', $(this).val(), "", "");
	});
	$('#param_scenemode').on('change', function() {
		send_command('scenemode', $(this).val(), "", "");
	});

	$('#param_orientation_lock').on('click', function() { send_command('orientation', "lock", "", ""); });
	$('#param_orientation_unlock').on('click', function() { send_command('orientation', "unlock", "", ""); });
	$('#param_pitch_lock').on('click', function() { send_command('pitch', "lock", "", ""); });
	$('#param_pitch_unlock').on('click', function() { send_command('pitch', "unlock", "", ""); });

	$('#position_normal').on('click', function() { send_command('position', "normal", "", ""); });
	$('#position_selfie').on('click', function() { send_command('position', "selfie", "", ""); });



	$('#param_imageaspect').on('change', function() {
		send_command('video_aspect', $(this).val(), "", "");
	});
	$('#param_videores').on('change', function() {
		send_command('video_resolution', $(this).val(), "", "");
	});

	$('#histogram_enabled').on('change', function() {
		var value = $(this).prop("checked");
		send_command('hystogram', value ? "1" : "0", "", "");
	});

	$('#param_shotmode').on('change', function() {
		send_command('shotmode', $(this).val().toLowerCase(), "", "");
	});
	$('#param_antiflicker').on('change', function() {
		var value = "auto";
		if ($(this).val() == "50Hz") value = "50";
		if ($(this).val() == "60Hz") value = "60";
		send_command('antiflicker', value, "", "");
	});
	$('#param_videostandard').on('change', function() {
		send_command('video_std', $(this).val(), "", "");
	});

	$('#cam_enable').on('click', function() {
		var value = "disable";
		if ($(this).html().indexOf("Enable") == 0) value = "enable";
		send_command('camera', value, "", "");
	});

	$('#mfa_enabled').on('change', function() { 
		var value = $(this).prop("checked");
		send_command('focus', "mfa", value ? "1" : "0", "");
	});
	$('#afa_enabled').on('change', function() { 
		var value = $(this).prop("checked");
		send_command('focus', "afa", value ? "1" : "0", "");
	});
	$('#custom_fa_enabled').on('change', function() { 
		send_param("fa_enabled", $(this).prop("checked"));
	});

	$('#realtime_af').on('change', function() { 
		send_command('focus', "realtime", $(this).prop("checked") ? "1" : "0", "");
	});
	$('#zoom_adjusted_smothtrack').on('change', function() { 
		send_command('zoomadjustedsmoothtrack', "", $(this).prop("checked") ? "1" : "0", "");
	});


	$("#wifi_mode_24").on('click', function() { 
		if (!confirm("Osmo Wi-Fi will be restarted. Are you sure?")) return;
		send_command('wifi', "mode", "2.4", "");
	});
	$("#wifi_mode_58").on('click', function() { 
		if (!confirm("Osmo Wi-Fi will be restarted. Are you sure?")) return;
		send_command('wifi', "mode", "5.8", "");
	});

	$("#microsd_format").on('click', function() { 
		if (!confirm("Format microSD card. Are you sure?")) return;
		send_command('formatmicrosd', "", "", "");
	});

	$("#ssd_format").on('click', function() { 
		if (!confirm("Format SSD. Are you sure?")) return;
		send_command('formatssd', "", "", "");
	});

	$("#camera_reset").on('click', function() { 
		if (!confirm("Reset camera. Are you sure?")) return;
		send_command('resetcamera', "", "", "");
	});

	$("#camera_sleep_button").on('click', function() { 
		if (!confirm("Set camera sleep mode. Are you sure?")) return;
		send_command('power', "sleep", "", "");
	});
	$("#camera_wakeup_button").on('click', function() { 
		send_command('power', "wakeup", "", "");
	});
	$("#camera_restart_button").on('click', function() { 
		if (!confirm("Restart camera. Are you sure?")) return;
		send_command('power', "restart", "", "");
	});
	$("#camera_shutdown_button").on('click', function() { 
		if (!confirm("Shutdown camera. Are you sure?")) return;
		send_command('power', "shutdown", "", "");
	});

	$("#wakeup_button").on('click', function() { 
		send_command('power', "wakeup", "", "");
	});
	$("#shutdown_button").on('click', function() { 
		if (!confirm("Shutdown camera. Are you sure?")) return;
		send_command('power', "shutdown", "", "");
	});



	$("#horizont_clockwise").on('click', function() { 
		send_command('horizont', "cw", "", "");
	});
	$("#horizont_contrclockwise").on('click', function() { 
		send_command('horizont', "ccw", "", "");
	});
	$("#horizont_zero").on('click', function() { 
		send_command('horizont', "zero", "", "");
	});
	$("#horizont_calibrate").on('click', function() { 
		if (!confirm("Calibrate gimbal. Are you sure?")) return;
		send_command('horizont', "calibrate", "", "");
	});


	$("#shot_settings").on('click', function() { 
		var current_state = $("#shottype_panel").css("display");
		if (current_state == "none") {
			$("#shottype_panel").css("display","block");
			ShowShotSettings();
		} else {
			$("#shottype_panel").css("display","none");
		}
	});

	$(".shot_type_group_div").on('click', function() {
		ShowShotSettings($(this).attr('item'));
	});

	$(".shot_type_element").on('click', function() {
		send_command('shottype', $(this).attr('group'), $(this).attr('item'), "");
	});

	$("#timelapse_set").on('click', function() {
		var interval = $("#param_timelapse_interval").val().replace('s', '');
		var duration = $("#param_timelapse_duration").val();
		if (duration == "unlim") duration_int = 0;
		if (duration.indexOf("min") >= 0) duration_int = parseInt(duration.replace('min', ''));
		if (duration == "1hr") duration_int = 60;
		if (duration == "2hr") duration_int = 120;
		duration_int = duration_int * 60;
		send_command('shottype', 'timelapse', interval, duration_int);
	});


	$("#set_focus_mf").on('click', function() {
		send_command('focus', "type", "mf", "");
	});
	$("#set_focus_af").on('click', function() {
		send_command('focus', "type", "af", "");
	});
	$("#set_focus_af_unlim").on('click', function() {
		send_command('focus', "type", "afunlim", "");
	});
	
});

function ShowShotSettings(group) {
	if (group != undefined) $(".shot_type_groups").css("display","none");

	switch (group) {
		case "single":
		case "multiple":
		case "interval":
		case "pano":
		case "timelapse": 
			$("#shot_type_group_" + group + "_div").css("display","inline"); 
		break;
	}
}

function ShowFocusPercentage(value) {
	$("#focus_percentage2").html(value + "%");
}

function ShowFocusDistance(value) {
	var text = "";
	if (value == 327.68) {
		text = "";
	} else {
		text = value + "m";
	}

	$("#focus_distance").html(text);
}

function ShowFocusType(ring_focus, app_focus, af_unlim) {
	$("#focus_ring_type").html((ring_focus == 0) ? "MF" : "AF");

	if (app_focus == 0) {
		$("#focus_type2").html("MF");
	} else {
		if (af_unlim) {
			$("#focus_type2").html("AF inf");
		} else {
			$("#focus_type2").html("AF");
		}
	}

	// MF
	if (app_focus == 0) {
		$("#set_focus_af_unlim").css("color","gray");
		$("#set_focus_af").css("color","gray");
		$("#set_focus_mf").css("color","yellow");

		//focus_point_rect.Visibility = Visibility.Collapsed;
	}

	// AF
	if (app_focus == 1) {
		if (af_unlim) {
			$("#set_focus_af").css("color","gray");
			$("#set_focus_af_unlim").css("color","yellow");
		} else {
			$("#set_focus_af").css("color","yellow");
			$("#set_focus_af_unlim").css("color","gray");
		}

		$("#set_focus_mf").css("color","gray");

		if (!af_unlim) {
			//if (ring_focus != 0) focus_point_rect.Visibility = Visibility.Visible; else focus_point_rect.Visibility = Visibility.Collapsed;
		}
	}
}

function ShowCameraSleeps(state) {
	$("#camera_sleeps_message_block").css("display", state ? "inline" : "none");
}
