#!/bin/sh

sleep 5

while [ 1 ] ; do
	if [ -f ./cosmostreamer.conf ] ; then
    . ./cosmostreamer.conf
	else
		sleep 5
		continue
	fi

	if [ "$internal_camera_enabled" = "1" ]; then
		if [ "$internal_camera_fullscreen" = "1" ]; then
			./bin/raspivid -t 0 -w 1280 -h 720 -fps 48 --layer 0
		else
			./bin/raspivid -t 0 -w 1280 -h 720 -fps 48 --preview 10,60,400,200 --layer 2
		fi

		sleep 0.2
	else
		sleep 2
	fi
done
