const spawn = require('child_process').spawn;
var streamer;

module.exports.active = false;

module.exports.start = function(options) {
	var streamer = spawn('gst-launch-1.0', [ '-q', 'udpsrc', 'port=6000', 'buffer-size=1300000', '!', 'h264parse', 'config-interval=1', '!', 'omxh264dec', '!', 'queue', '!', 'omxh264enc', 'target-bitrate=' + options.bitrate, 'control-rate=1', '!', 'video/x-h264,width=' + options.width +',height=' + options.height + ',profile=(string)baseline', '!', 'h264parse', 'config-interval=1', '!', 'fdsink' ]);
   	streamer.on("exit", function(code){
		console.log("Failure", code);
		process.exit();
	});

    var readStream = streamer.stdout;
    readStream.on("data", on_data);

	module.exports.active = true;
}

module.exports.stop = function() {
	if (streamer == undefined) return;
	if (streamer == null) return;
	streamer.kill();
	module.exports.active = false;
}

function on_data(data) {
	module.exports.onData(data);
}
